### Constructor

# Gsk.DebugNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_debug_node_new (
      GskRenderNode* child,
      char* message
    )

#### Description [src]

Creates a `GskRenderNode` that will add debug information about the given `child`.

Adding this node has no visual effect.

#### Parameters

`child` | `GskRenderNode`
| The child to add debug info for
| Ownership is not transferred to the callee
`message` | `char*`
| The debug message
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GskDebugNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller